package basicClass;

import java.io.Serializable;


public class Event implements Serializable{
	//private static final long serialVersionUID = 1875279268422410101L;
	private int id;
	private String name;
	private User  user;
	private String descript;
	private String photo_path;
	private String start_time;
	private String stop_time;
	private Location location;
	
	public Event() {
		id = 0;
		name = null;
		
		user=null;
		descript = null;
		photo_path = null; // may settle a default path
		start_time = null;
		stop_time = null;
		location=null;
	}
	
	
	public int getId() {return id;}
	public String getName() {return name;}
	//public String getAddress() {return address;}
	public User getUser() {return user;}
	public String getDescript() {return descript;}
	//public Image getImage() {return image;}
	public String getStartTime() {return start_time;}
	public String getStopTime() {return stop_time;}
	public Location getLocation(){return location;}
	
	public void setId(int id) {this.id = id;}
	public void setName(String name) {this.name = name;}
	//public void setAddress(String address) {this.address =address;}
	public void setUser(User user) {this.user= user;}
	public void setDescript(String descript) {this.descript = descript;}
	public void setPhotoPath(String path) {this.photo_path = path;}
	public void setStartTime(String date) {this.start_time = date;}
	public void setStopTime(String date) {this.stop_time = date;}
	public void setLocation(Location location){this.location=location;}

	
}
